Cannot install CloudFlare extension: Failed to install the extension: The ionCube PHP Loader is required.

Created:

2016-11-16 12:39:02 UTC

Modified:

2017-04-24 12:16:27 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Cannot install CloudFlare extension: Failed to install the extension: The ionCube PHP Loader is required.

Applicable to:

  • Plesk 12.5 for Windows

Symptoms

  1. CloudFlare extension cannot be installed

  2. Attempt to install CloudFlare extension via autoinstaller's GUI shows no error

  3. Attempt to install via Extensions Catalog shows the following error:

    Error: Failed to install the extension: The ionCube PHP Loader is required.
  4. Upgrade may finish with the following error:

    [2016-01-24 17:09:25.644897] C:\\Program Files (x86)\\Parallels\\Plesk\\\\bin\\extension.exe --upgrade-url https://ext.plesk.com/packages/6d0d17e1-cf0d-48a1-bc3c-7ca73cd42b61-servershield/download failed with error 1(0x00000001). Output: 
    STDERR:The ionCube PHP Loader is required.

Cause

This is a software issue with id #PPPM-3816 , which is planned to be fixed in future Plesk updates.

Resolution

As a workaround, use the following steps:

  1. Download the latest version of ionCube from http://www.ioncube.com/loaders.php

  2. Rename %plesk_dir%admin\\modules\\ioncube_loader_win_5.6.dll to something like " ioncube_loader_win_5.6.dll_backup "

  3. Unpack the downloaded archive and copy ioncube_loader_win_5.6.dll from the archive to %plesk_dir%admin\\modules folder.

  4. Open %plesk_dir%admin\\conf\\php.ini file for editing and add the following line right under [opcache] , it should look like this:

    [opcache]
    zend_extension="C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\modules\\ioncube_loader_win_5.6.dll"
    zend_extension="C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\modules\\php_opcache.dll"
  5. Restart pleskcontrolpanel site in IIS

  6. Install Cloudflare extension.

Have more questions? Submit a request
Please sign in to leave a comment.